#
# spec file for package CheckHardware (Version 0.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc libgssapi libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libmudflap libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils qt3 qt3-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           CheckHardware
BuildRequires:  libdrm-devel libjpeg-devel qt3-devel update-desktop-files
License:        GPL v2 or later
Group:          System/X11/Utilities
Provides:       xf86tools:/usr/bin/CheckHardware
Summary:        CheckHardware Tool
AutoReqProv:    on
Version:        0.1
Release:        988.20
Summary:        CheckHardware Tool
Source:         GameChecker-060628.tar.bz2
Source1:        CheckHardware-po.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description -n CheckHardware
A tool to verify hardware requirements.



Authors:
--------
    Marcus Schfer <ms@suse.de>
    Stefan Dirsch <sndirsch@suse.de>

%debug_package
%prep
%setup -n GameChecker -b1
for i in ../po/*; do
  lang=$(echo $i|cut -d "/" -f 3|cut -d "." -f 1)
  mkdir -p locale/$lang/LC_MESSAGES
  cp $i locale/$lang/LC_MESSAGES/CheckHardware.po
done

%build
%{?suse_update_config:%{suse_update_config -f}}
make LD_FLAGS="-L/usr/lib/qt3/%_lib -lGL"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/CheckHardware
/usr/bin/Check4SoundLibs
/usr/bin/CheckFor3DLibs
/usr/bin/GameWrapper
/usr/share/locale/*/LC_MESSAGES/CheckHardware.mo

%changelog
* Fri Apr 18 2008 - sndirsch@suse.de
- updated translations for SLES10-SP2 (2008-04-18)
* Fri Mar 28 2008 - sndirsch@suse.de
- updated translations for SLES10-SP2 (2008-03-28)
* Fri Mar 14 2008 - sndirsch@suse.de
-  updated translations for SLES10-SP2 (2008-03-14)
* Wed Feb 20 2008 - sndirsch@suse.de
- updated translations for SLES10-SP2 (2008-02-20)
* Wed Feb 13 2008 - sndirsch@suse.de
- updated translations for SLES10-SP2 (2008-02-13)
* Tue Apr 03 2007 - mhopf@suse.de
- updated translations (2007-03-31)
* Wed Jun 28 2006 - sndirsch@suse.de
- translation updates: ja
* Sat Mar 25 2006 - sndirsch@suse.de
- updated translations: fi/pl/pt
* Fri Mar 03 2006 - sndirsch@suse.de
- updated khmer translations
* Mon Feb 13 2006 - sndirsch@suse.de
- updated translations: de/es/fi/fr/hu/it/ja/km/pl/pt_BR/zh_CN/zh_TW
* Tue Feb 07 2006 - sndirsch@suse.de
- updated translations: pt
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - sndirsch@suse.de
- updated translations
* Fri Jan 13 2006 - sndirsch@suse.de
- updated translations
* Mon Aug 29 2005 - sndirsch@suse.de
- added new translations for bg/el
* Fri Aug 26 2005 - sndirsch@suse.de
- updated translations for pt
- added new translations for nl/sl
* Thu Aug 25 2005 - sndirsch@suse.de
- added new translations for pl
* Fri Aug 19 2005 - sndirsch@suse.de
- translation updates for de/es/it/ja
- new translations for fr/pt_BR/zh_CN/zh_TW
* Wed Aug 17 2005 - sndirsch@suse.de
- added new translations for da
* Tue Aug 16 2005 - sndirsch@suse.de
- added new translations for pa
* Fri Aug 12 2005 - sndirsch@suse.de
- added new translations for fi, nb, pt
- updated translations for hu
* Mon Aug 08 2005 - sndirsch@suse.de
- added new translations for hu/lt
* Sun Aug 07 2005 - sndirsch@suse.de
- updated cs translations
* Wed Jul 27 2005 - sndirsch@suse.de
- strings proofreaded
* Fri May 13 2005 - sndirsch@suse.de
- use norootforbuild
* Mon Feb 16 2004 - sndirsch@suse.de
- created package (CheckHardware no longer a subpackage of
  xf86tools)
